Package ghidra.app.util.bin.format.omf.omf51

# Class Omf51RecordTypes

java.lang.Object
ghidra.app.util.bin.format.omf.omf51.Omf51RecordTypes

public class Omf51RecordTypes extends Object
OMF-51 record types

See Also:
  - OMF-51 Object Module Format

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `Content`
  `static final int`
  `DebugItem`
  `static final int`
  `ExternalDEF`
  `static final int`
  `Fixup`
  `static final int`
  `KeilContent`
  `static final int`
  `KeilDebugData62`
  `static final int`
  `KeilDebugData63`
  `static final int`
  `KeilDebugData64`
  `static final int`
  `KeilDebugItemOBJ`
  `static final int`
  `KeilDebugItemSRC`
  `static final int`
  `KeilExternalDEF`
  `static final int`
  `KeilFixup`
  `static final int`
  `KeilModuleSourceName`
  `static final int`
  `KeilPublicDEF`
  `static final int`
  `KeilScopeDEF`
  `static final int`
  `KeilSegmentDEF`
  `static final int`
  `KeilSourceBrowserFiles`
  `static final int`
  `LibDictionary`
  `static final int`
  `LibHeader`
  `static final int`
  `LibModLocs`
  `static final int`
  `LibModNames`
  `static final int`
  `ModuleEND`
  `static final int`
  `ModuleHDR`
  `static final int`
  `PublicDEF`
  `static final int`
  `ScopeDEF`
  `static final int`
  `SegmentDEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Omf51RecordTypes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getName(int type)`
  Gets the name of the given record type

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ModuleHDR

    public static final int ModuleHDR
    See Also:
      - Constant Field Values

  - ### ModuleEND

    public static final int ModuleEND
    See Also:
      - Constant Field Values

  - ### Content

    public static final int Content
    See Also:
      - Constant Field Values

  - ### Fixup

    public static final int Fixup
    See Also:
      - Constant Field Values

  - ### SegmentDEF

    public static final int SegmentDEF
    See Also:
      - Constant Field Values

  - ### ScopeDEF

    public static final int ScopeDEF
    See Also:
      - Constant Field Values

  - ### DebugItem

    public static final int DebugItem
    See Also:
      - Constant Field Values

  - ### PublicDEF

    public static final int PublicDEF
    See Also:
      - Constant Field Values

  - ### ExternalDEF

    public static final int ExternalDEF
    See Also:
      - Constant Field Values

  - ### LibModLocs

    public static final int LibModLocs
    See Also:
      - Constant Field Values

  - ### LibModNames

    public static final int LibModNames
    See Also:
      - Constant Field Values

  - ### LibDictionary

    public static final int LibDictionary
    See Also:
      - Constant Field Values

  - ### LibHeader

    public static final int LibHeader
    See Also:
      - Constant Field Values

  - ### KeilContent

    public static final int KeilContent
    See Also:
      - Constant Field Values

  - ### KeilFixup

    public static final int KeilFixup
    See Also:
      - Constant Field Values

  - ### KeilSegmentDEF

    public static final int KeilSegmentDEF
    See Also:
      - Constant Field Values

  - ### KeilScopeDEF

    public static final int KeilScopeDEF
    See Also:
      - Constant Field Values

  - ### KeilPublicDEF

    public static final int KeilPublicDEF
    See Also:
      - Constant Field Values

  - ### KeilExternalDEF

    public static final int KeilExternalDEF
    See Also:
      - Constant Field Values

  - ### KeilDebugItemOBJ

    public static final int KeilDebugItemOBJ
    See Also:
      - Constant Field Values

  - ### KeilDebugItemSRC

    public static final int KeilDebugItemSRC
    See Also:
      - Constant Field Values

  - ### KeilModuleSourceName

    public static final int KeilModuleSourceName
    See Also:
      - Constant Field Values

  - ### KeilSourceBrowserFiles

    public static final int KeilSourceBrowserFiles
    See Also:
      - Constant Field Values

  - ### KeilDebugData62

    public static final int KeilDebugData62
    See Also:
      - Constant Field Values

  - ### KeilDebugData63

    public static final int KeilDebugData63
    See Also:
      - Constant Field Values

  - ### KeilDebugData64

    public static final int KeilDebugData64
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Omf51RecordTypes

    public Omf51RecordTypes()

- ## Method Details

  - ### getName

    public static final String getName(int type)
    Gets the name of the given record type
    Parameters:
      `type` - The record type
    Returns:
      The name of the given record type